Package org.jCharts.chartData.interfaces

# Interface IDataSeries

All Superinterfaces:
  `IAxisDataSeries`, `IData`, `Serializable`

All Known Implementing Classes:
  `DataSeries`

public interface IDataSeries extends IAxisDataSeries

## Method Summary

Modifier and Type
Method
Description
`String`
`getAxisLabel(int index)`
Returns the axis label at the specified index.
`int`
`getNumberOfAxisLabels()`
Returns the number of labels on the x-axis

### Methods inherited from interface org.jCharts.chartData.interfaces.IAxisDataSeries

`addIAxisPlotDataSet, getChartTitle, getIAxisPlotDataSet, getIAxisPlotDataSetIterator, getTotalNumberOfDataSets, getXAxisTitle, getYAxisTitle, size, validate`

## Method Details

### getNumberOfAxisLabels

int getNumberOfAxisLabels()
Returns the number of labels on the x-axis

Returns:
  int

### getAxisLabel

String getAxisLabel(int index)
Returns the axis label at the specified index.

Parameters:
  `index` -
Returns:
  String the x-axis label